
package ca.canadapost.cpcdp.shipping.stub.manifest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ManifestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ManifestType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CustomerRequestIdType" minOccurs="0"/>
 *         &lt;element name="po-number" type="{http://www.canadapost.ca/ws/soap/manifest/v8}PoNumberType"/>
 *         &lt;element name="artifact-id" type="{http://www.canadapost.ca/ws/soap/manifest/v8}ArtifactIdType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ManifestType", propOrder = {

})
public class ManifestType {

    @XmlElement(name = "customer-request-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerRequestId;
    @XmlElement(name = "po-number", required = true)
    protected String poNumber;
    @XmlElement(name = "artifact-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String artifactId;

    /**
     * Gets the value of the customerRequestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRequestId() {
        return customerRequestId;
    }

    /**
     * Sets the value of the customerRequestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRequestId(String value) {
        this.customerRequestId = value;
    }

    /**
     * Gets the value of the poNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoNumber() {
        return poNumber;
    }

    /**
     * Sets the value of the poNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoNumber(String value) {
        this.poNumber = value;
    }

    /**
     * Gets the value of the artifactId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getArtifactId() {
        return artifactId;
    }

    /**
     * Sets the value of the artifactId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setArtifactId(String value) {
        this.artifactId = value;
    }

}
