
package ca.canadapost.cpcdp.shipping.stub.shipment;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="mailed-by" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerIDType"/>
 *         &lt;element name="mobo" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerIDType" minOccurs="0"/>
 *         &lt;element name="locale" type="{http://www.canadapost.ca/ws/soap/shipment/v8}locale" minOccurs="0"/>
 *         &lt;element name="platform-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PlatformIDType" minOccurs="0"/>
 *         &lt;element name="shipment-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentIDType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {

})
@XmlRootElement(name = "get-shipment-request")
public class GetShipmentRequest {

    @XmlElement(name = "mailed-by", required = true)
    protected String mailedBy;
    protected String mobo;
    protected String locale;
    @XmlElement(name = "platform-id")
    protected String platformId;
    @XmlElement(name = "shipment-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shipmentId;

    /**
     * Gets the value of the mailedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailedBy() {
        return mailedBy;
    }

    /**
     * Sets the value of the mailedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailedBy(String value) {
        this.mailedBy = value;
    }

    /**
     * Gets the value of the mobo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMobo() {
        return mobo;
    }

    /**
     * Sets the value of the mobo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMobo(String value) {
        this.mobo = value;
    }

    /**
     * Gets the value of the locale property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocale() {
        return locale;
    }

    /**
     * Sets the value of the locale property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocale(String value) {
        this.locale = value;
    }

    /**
     * Gets the value of the platformId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlatformId() {
        return platformId;
    }

    /**
     * Sets the value of the platformId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlatformId(String value) {
        this.platformId = value;
    }

    /**
     * Gets the value of the shipmentId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShipmentId() {
        return shipmentId;
    }

    /**
     * Sets the value of the shipmentId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShipmentId(String value) {
        this.shipmentId = value;
    }

}
