
package ca.canadapost.cpcdp.shipping.stub.shipment;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="mailed-by" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerIDType"/>
 *         &lt;element name="mobo" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerIDType" minOccurs="0"/>
 *         &lt;element name="locale" type="{http://www.canadapost.ca/ws/soap/shipment/v8}locale" minOccurs="0"/>
 *         &lt;element name="platform-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PlatformIDType" minOccurs="0"/>
 *         &lt;element name="provide-shipment-info" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="shipment-search-key">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="regular-shipping-parameters" type="{http://www.canadapost.ca/ws/soap/shipment/v8}regular-shipping-parameters"/>
 *                   &lt;element name="no-manifest-shipping-parameters" type="{http://www.canadapost.ca/ws/soap/shipment/v8}no-manifest-shipping-parameters"/>
 *                   &lt;element name="tracking-pin" type="{http://www.canadapost.ca/ws/soap/shipment/v8}TrackingPINType"/>
 *                   &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerRequestIdType"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {

})
@XmlRootElement(name = "get-shipments-request")
public class GetShipmentsRequest {

    @XmlElement(name = "mailed-by", required = true)
    protected String mailedBy;
    protected String mobo;
    protected String locale;
    @XmlElement(name = "platform-id")
    protected String platformId;
    @XmlElement(name = "provide-shipment-info")
    protected Boolean provideShipmentInfo;
    @XmlElement(name = "shipment-search-key", required = true)
    protected GetShipmentsRequest.ShipmentSearchKey shipmentSearchKey;

    /**
     * Gets the value of the mailedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailedBy() {
        return mailedBy;
    }

    /**
     * Sets the value of the mailedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailedBy(String value) {
        this.mailedBy = value;
    }

    /**
     * Gets the value of the mobo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMobo() {
        return mobo;
    }

    /**
     * Sets the value of the mobo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMobo(String value) {
        this.mobo = value;
    }

    /**
     * Gets the value of the locale property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocale() {
        return locale;
    }

    /**
     * Sets the value of the locale property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocale(String value) {
        this.locale = value;
    }

    /**
     * Gets the value of the platformId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlatformId() {
        return platformId;
    }

    /**
     * Sets the value of the platformId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlatformId(String value) {
        this.platformId = value;
    }

    /**
     * Gets the value of the provideShipmentInfo property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isProvideShipmentInfo() {
        return provideShipmentInfo;
    }

    /**
     * Sets the value of the provideShipmentInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setProvideShipmentInfo(Boolean value) {
        this.provideShipmentInfo = value;
    }

    /**
     * Gets the value of the shipmentSearchKey property.
     * 
     * @return
     *     possible object is
     *     {@link GetShipmentsRequest.ShipmentSearchKey }
     *     
     */
    public GetShipmentsRequest.ShipmentSearchKey getShipmentSearchKey() {
        return shipmentSearchKey;
    }

    /**
     * Sets the value of the shipmentSearchKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetShipmentsRequest.ShipmentSearchKey }
     *     
     */
    public void setShipmentSearchKey(GetShipmentsRequest.ShipmentSearchKey value) {
        this.shipmentSearchKey = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="regular-shipping-parameters" type="{http://www.canadapost.ca/ws/soap/shipment/v8}regular-shipping-parameters"/>
     *         &lt;element name="no-manifest-shipping-parameters" type="{http://www.canadapost.ca/ws/soap/shipment/v8}no-manifest-shipping-parameters"/>
     *         &lt;element name="tracking-pin" type="{http://www.canadapost.ca/ws/soap/shipment/v8}TrackingPINType"/>
     *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerRequestIdType"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "regularShippingParameters",
        "noManifestShippingParameters",
        "trackingPin",
        "customerRequestId"
    })
    public static class ShipmentSearchKey {

        @XmlElement(name = "regular-shipping-parameters")
        protected RegularShippingParameters regularShippingParameters;
        @XmlElement(name = "no-manifest-shipping-parameters")
        protected NoManifestShippingParameters noManifestShippingParameters;
        @XmlElement(name = "tracking-pin")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String trackingPin;
        @XmlElement(name = "customer-request-id")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String customerRequestId;

        /**
         * Gets the value of the regularShippingParameters property.
         * 
         * @return
         *     possible object is
         *     {@link RegularShippingParameters }
         *     
         */
        public RegularShippingParameters getRegularShippingParameters() {
            return regularShippingParameters;
        }

        /**
         * Sets the value of the regularShippingParameters property.
         * 
         * @param value
         *     allowed object is
         *     {@link RegularShippingParameters }
         *     
         */
        public void setRegularShippingParameters(RegularShippingParameters value) {
            this.regularShippingParameters = value;
        }

        /**
         * Gets the value of the noManifestShippingParameters property.
         * 
         * @return
         *     possible object is
         *     {@link NoManifestShippingParameters }
         *     
         */
        public NoManifestShippingParameters getNoManifestShippingParameters() {
            return noManifestShippingParameters;
        }

        /**
         * Sets the value of the noManifestShippingParameters property.
         * 
         * @param value
         *     allowed object is
         *     {@link NoManifestShippingParameters }
         *     
         */
        public void setNoManifestShippingParameters(NoManifestShippingParameters value) {
            this.noManifestShippingParameters = value;
        }

        /**
         * Gets the value of the trackingPin property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getTrackingPin() {
            return trackingPin;
        }

        /**
         * Sets the value of the trackingPin property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setTrackingPin(String value) {
            this.trackingPin = value;
        }

        /**
         * Gets the value of the customerRequestId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCustomerRequestId() {
            return customerRequestId;
        }

        /**
         * Sets the value of the customerRequestId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCustomerRequestId(String value) {
            this.customerRequestId = value;
        }

    }

}
