
package ca.canadapost.cpcdp.shipping.stub.shipment;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ShipmentPriceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ShipmentPriceType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="service-code" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ServiceCodeType"/>
 *         &lt;element name="base-amount" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CostTypeNonZero"/>
 *         &lt;element name="priced-options" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PricedOptionsType" minOccurs="0"/>
 *         &lt;element name="adjustments" type="{http://www.canadapost.ca/ws/soap/shipment/v8}AdjustmentsType" minOccurs="0"/>
 *         &lt;element name="pre-tax-amount" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CostTypeAllowsZero"/>
 *         &lt;element name="gst-amount" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CostTypeAllowsZero"/>
 *         &lt;element name="pst-amount" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CostTypeAllowsZero"/>
 *         &lt;element name="hst-amount" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CostTypeAllowsZero"/>
 *         &lt;element name="due-amount" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CostTypeAllowsZero"/>
 *         &lt;element name="service-standard" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ServiceStandardType"/>
 *         &lt;element name="rated-weight">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}decimal">
 *               &lt;minExclusive value="0"/>
 *               &lt;maxInclusive value="999.999"/>
 *               &lt;fractionDigits value="3"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShipmentPriceType", propOrder = {

})
public class ShipmentPriceType {

    @XmlElement(name = "service-code", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String serviceCode;
    @XmlElement(name = "base-amount", required = true)
    protected BigDecimal baseAmount;
    @XmlElement(name = "priced-options")
    protected PricedOptionsType pricedOptions;
    protected AdjustmentsType adjustments;
    @XmlElement(name = "pre-tax-amount", required = true)
    protected BigDecimal preTaxAmount;
    @XmlElement(name = "gst-amount", required = true)
    protected BigDecimal gstAmount;
    @XmlElement(name = "pst-amount", required = true)
    protected BigDecimal pstAmount;
    @XmlElement(name = "hst-amount", required = true)
    protected BigDecimal hstAmount;
    @XmlElement(name = "due-amount", required = true)
    protected BigDecimal dueAmount;
    @XmlElement(name = "service-standard", required = true)
    protected ServiceStandardType serviceStandard;
    @XmlElement(name = "rated-weight", required = true)
    protected BigDecimal ratedWeight;

    /**
     * Gets the value of the serviceCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceCode() {
        return serviceCode;
    }

    /**
     * Sets the value of the serviceCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceCode(String value) {
        this.serviceCode = value;
    }

    /**
     * Gets the value of the baseAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getBaseAmount() {
        return baseAmount;
    }

    /**
     * Sets the value of the baseAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setBaseAmount(BigDecimal value) {
        this.baseAmount = value;
    }

    /**
     * Gets the value of the pricedOptions property.
     * 
     * @return
     *     possible object is
     *     {@link PricedOptionsType }
     *     
     */
    public PricedOptionsType getPricedOptions() {
        return pricedOptions;
    }

    /**
     * Sets the value of the pricedOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link PricedOptionsType }
     *     
     */
    public void setPricedOptions(PricedOptionsType value) {
        this.pricedOptions = value;
    }

    /**
     * Gets the value of the adjustments property.
     * 
     * @return
     *     possible object is
     *     {@link AdjustmentsType }
     *     
     */
    public AdjustmentsType getAdjustments() {
        return adjustments;
    }

    /**
     * Sets the value of the adjustments property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdjustmentsType }
     *     
     */
    public void setAdjustments(AdjustmentsType value) {
        this.adjustments = value;
    }

    /**
     * Gets the value of the preTaxAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getPreTaxAmount() {
        return preTaxAmount;
    }

    /**
     * Sets the value of the preTaxAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setPreTaxAmount(BigDecimal value) {
        this.preTaxAmount = value;
    }

    /**
     * Gets the value of the gstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getGstAmount() {
        return gstAmount;
    }

    /**
     * Sets the value of the gstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setGstAmount(BigDecimal value) {
        this.gstAmount = value;
    }

    /**
     * Gets the value of the pstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getPstAmount() {
        return pstAmount;
    }

    /**
     * Sets the value of the pstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setPstAmount(BigDecimal value) {
        this.pstAmount = value;
    }

    /**
     * Gets the value of the hstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getHstAmount() {
        return hstAmount;
    }

    /**
     * Sets the value of the hstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setHstAmount(BigDecimal value) {
        this.hstAmount = value;
    }

    /**
     * Gets the value of the dueAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getDueAmount() {
        return dueAmount;
    }

    /**
     * Sets the value of the dueAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setDueAmount(BigDecimal value) {
        this.dueAmount = value;
    }

    /**
     * Gets the value of the serviceStandard property.
     * 
     * @return
     *     possible object is
     *     {@link ServiceStandardType }
     *     
     */
    public ServiceStandardType getServiceStandard() {
        return serviceStandard;
    }

    /**
     * Sets the value of the serviceStandard property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceStandardType }
     *     
     */
    public void setServiceStandard(ServiceStandardType value) {
        this.serviceStandard = value;
    }

    /**
     * Gets the value of the ratedWeight property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getRatedWeight() {
        return ratedWeight;
    }

    /**
     * Sets the value of the ratedWeight property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setRatedWeight(BigDecimal value) {
        this.ratedWeight = value;
    }

}
